FROM node:14.4.0-alpine3.12
RUN apk add --no-cache dumb-init && rm -rf /var/cache/apk/* \
&& addgroup -S deploy && adduser -S deploy -G deploy -h /home/deploy \
&& mkdir -p /home/deploy/app && chown -R deploy:deploy /home/deploy
USER deploy
WORKDIR /home/deploy/app
COPY --chown=deploy:deploy package.json public.pem app.js ./
RUN npm install --only=production 
COPY --chown=deploy:deploy routes/ ./routes/
RUN ls -la
EXPOSE 8081
ENTRYPOINT ["dumb-init"]
CMD ["npm", "start"]
